Index: trunk/var/www/info/alkis/alkislage.php
===================================================================
--- trunk/var/www/info/alkis/alkislage.php	(revision 41)
+++ trunk/var/www/info/alkis/alkislage.php	(revision 43)
@@ -7,4 +7,5 @@
 		01.09.2010 Neu!
 		02.09.2010  Mit Icons
+		06.09.2010  </a> korrigiert, Kennzeichen-Rahmenfarbe, Schluessel anschaltbar
 */
 ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
@@ -51,6 +52,15 @@
 }
 $id = isset($_GET["id"]) ? $_GET["id"] : "n";
-$idanzeige=false;
-if ($id == "j") {$idanzeige=true;}
+if ($id == "j") {
+	$idanzeige=true;
+} else {
+	$idanzeige=false;
+}
+$keys = isset($_GET["showkey"]) ? $_GET["showkey"] : "n";
+if ($keys == "j") {
+	$showkey=true;
+} else {
+	$showkey=false;
+}
 $dbname = 'alkis05' . $gkz;
 $con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
@@ -116,5 +126,5 @@
 			$untertitel="Hauptgeb&auml;ude mit Hausnummer";			
 			// Balken
-			echo "<p class='geb'>ALKIS Lagebezeichnung mit Hausnummer ".$kennz."&nbsp;</p>\n"; // Balken
+			echo "<p class='lage'>ALKIS Lagebezeichnung mit Hausnummer ".$kennz."&nbsp;</p>\n"; // Balken
 		break;
 		case "p": // "mit PseudoNr"
@@ -124,5 +134,5 @@
 			$untertitel="NebengebÃ€ude mit laufender Nummer";			
 			// Balken			
-			echo "<p class='geb'>ALKIS Lagebezeichnung mit Pseudonummer ".$kennz."&nbsp;</p>\n"; // Balken
+			echo "<p class='lage'>ALKIS Lagebezeichnung mit Pseudonummer ".$kennz."&nbsp;</p>\n"; // Balken
 		break;
 		case "o": //"Ohne HsNr"
@@ -134,5 +144,5 @@
 			$untertitel="Stra&szlig;e ohne Hausnummer und/oder Gewanne (unverschl&uuml;sselte Lage)";			
 			// Balken			
-			echo "<p class='geb'>ALKIS Lagebezeichnung Ohne Hausnummer ".$kennz."&nbsp;</p>\n"; // Balken
+			echo "<p class='lage'>ALKIS Lagebezeichnung Ohne Hausnummer ".$kennz."&nbsp;</p>\n"; // Balken
 		break;
 	}
@@ -149,5 +159,5 @@
 	// Tabelle Kennzeichen
 	// ToDo: !! kleiner, wenn ltyp=0 und die Schluesselfelder leer sind
-	echo "\n\t<table class='kennz' title='Lage'>";
+	echo "\n\t<table class='kennzla' title='Lage'>";
 		echo "\n\t<tr>";
 			echo "\n\t\t<td class='head'>Land</td>";
@@ -173,6 +183,14 @@
 			echo "\n\t\t<td title='Regierungsbezirk'>".$regbez."</td>";
 			echo "\n\t\t<td title='Kreis'>".$kreis."</td>";
-			echo "\n\t\t<td title='Gemeinde'><span class='key'>".$gem."</span><br>".$gnam."</td>";
-			echo "\n\t\t<td title='Stra&szlig;e'><span class='key'>".$lage."</span><br>".$snam."</td>";
+			echo "\n\t\t<td title='Gemeinde'>";
+			if ($showkey) {
+				echo "<span class='key'>".$gem."</span><br>";
+			}			
+			echo $gnam."</td>";
+			echo "\n\t\t<td title='Stra&szlig;e'>";
+			if ($showkey) {
+				echo "<span class='key'>".$lage."</span><br>";
+			}
+			echo $snam."</td>";
 			switch ($ltyp) {
 				case "m":
@@ -194,5 +212,5 @@
 	// Kopf Rechts: weitere Daten?
 	// z.B. hier Ausgabe von "georeferenzierte GebÃ€udeadresse" ?	
-	if ($idanzeige) { linkgml($gkz, $gmlid, "Lage"); }
+	if ($idanzeige) {linkgml($gkz, $gmlid, "Lage"); }
 
 echo "\n\t</td>\n</tr>\n</table>";
@@ -201,5 +219,5 @@
 // F L U R S T U E C K E
 if ($ltyp <> "p") { // Pseudonummer linkt nur GebÃ€ude
-	echo "\n\n<a name='fs'><h3><img src='ico/Flurstueck.ico' width='16' height='16' alt=''> Flurst&uuml;cke</h3>\n";
+	echo "\n\n<a name='fs'></a><h3><img src='ico/Flurstueck.ico' width='16' height='16' alt=''> Flurst&uuml;cke</h3>\n";
 	echo "\n<p>mit dieser Lagebezeichnung.</p>";
 	// ax_Flurstueck  >weistAuf>  ax_LagebezeichnungMitHausnummer
@@ -240,13 +258,20 @@
 		$fskenn=str_pad($rowf["zaehler"], 5, "0", STR_PAD_LEFT);
 		echo "\n<tr>";
-			echo "\n\t<td><span class='key'>".$rowf["gemarkungsnummer"]."</span> ".$rowf["bezeichnung"]."</td>";
+			echo "\n\t<td>";
+			if ($showkey) {
+				echo "<span class='key'>".$rowf["gemarkungsnummer"]."</span> ";
+			}
+			echo $rowf["bezeichnung"]."</td>";
 			echo "\n\t<td>".$flur."</td>";
-			echo "\n\t<td>".$fskenn;
-			if ($idanzeige) {linkgml($gkz, $rowf["gml_id"], "Flurst&uuml;ck");}
-			echo "</td>\n\t<td class='fla'>".$flae."</td>";
-			echo "\n\t<td><p class='nwlink noprint'>";
-			echo "<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$rowf["gml_id"]."&amp;eig=n";
-			if ($idanzeige) {echo "&amp;id=j";}
-			echo "' title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck <img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''></a></p></td>";
+			echo "\n\t<td><span class='wichtig'>".$fskenn."</span>";
+				if ($idanzeige) {linkgml($gkz, $rowf["gml_id"], "Flurst&uuml;ck");}
+			echo "</td>";
+			echo "\n\t<td class='fla'>".$flae."</td>";
+			echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+				echo "\n\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$rowf["gml_id"]."&amp;eig=n";
+				if ($idanzeige) {echo "&amp;id=j";}
+				if ($showkey)   {echo "&amp;showkey=j";}
+				echo "' title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck <img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''></a>";
+			echo "\n\t\t</p>\n\t</td>";
 		echo "\n</tr>";
 		$j++;
@@ -266,18 +291,18 @@
 		case "m": // aktuell Hausnummer gefunden
 			// dazu alle NebengebÃ€ude suchen
-			echo "<p>Nebengeb&auml;ude: ";
+			echo "\n<p>Nebengeb&auml;ude: ";
 			$sql ="SELECT l.gml_id, l.laufendenummer FROM ax_lagebezeichnungmitpseudonummer l ";
 			$sql.=$whereclaus."AND lage=".$lage." AND pseudonummer='".$hsnr."' ORDER BY laufendenummer;";
 		// pseudonummer character varying(5), laufendenummer character varying(2),
 			$res=pg_query($con,$sql);
-			if (!$res) echo "<p class='err'>Fehler bei Nebengeb&auml;ude.<br>".$sql."</p>\n";
+			if (!$res) echo "\n<p class='err'>Fehler bei Nebengeb&auml;ude.<br>".$sql."</p>\n";
 			while($row = pg_fetch_array($res)) {
-				echo "<a href='".$url.$row["gml_id"]."&amp;ltyp=p'>lfd.-Nr ".$row["laufendenummer"]."</a>&nbsp;&nbsp;";
-			}
-			echo "</p>";
+				echo "\n\t<a href='".$url.$row["gml_id"]."&amp;ltyp=p'>lfd.-Nr ".$row["laufendenummer"]."</a>&nbsp;&nbsp;";
+			}
+			echo "\n</p>";
 		break;
 
 		case "p": // aktuell NebengebÃ€ude: Haupt- und NebengebÃ€ude suchen
-			echo "<p>Hauptgeb&auml;ude: ";
+			echo "\n<p>Hauptgeb&auml;ude: ";
 			$sql ="SELECT l.gml_id FROM ax_lagebezeichnungmithausnummer l ";
 			$sql.=$whereclaus."AND hausnummer='".$pseu."';";
@@ -285,17 +310,17 @@
 			if (!$res) echo "<p class='err'>Fehler bei Hauptgeb&auml;ude.<br>".$sql."</p>\n";
 			while($row = pg_fetch_array($res)) {
-				echo "<a href='".$url.$row["gml_id"]."&amp;ltyp=m'>Haus-Nr ".$pseu."</a>&nbsp;&nbsp;";
-			}
-			echo "</p>";
-
-			echo "<p>weitere Nebengeb&auml;ude: ";
+				echo "\n\t<a href='".$url.$row["gml_id"]."&amp;ltyp=m'>Haus-Nr ".$pseu."</a>&nbsp;&nbsp;";
+			}
+			echo "\n</p>";
+
+			echo "\n<p>weitere Nebengeb&auml;ude: ";
 			$sql ="SELECT l.gml_id, l.laufendenummer FROM ax_lagebezeichnungmitpseudonummer l ";
 			$sql.=$whereclaus."AND pseudonummer='".$pseu."' AND laufendenummer <> '".$lfd."' ORDER BY laufendenummer;";
 			$res=pg_query($con,$sql);
-			if (!$res) echo "<p class='err'>Fehler bei Nebengeb&auml;ude.<br>".$sql."</p>\n";
+			if (!$res) echo "\n<p class='err'>Fehler bei Nebengeb&auml;ude.<br>".$sql."</p>\n";
 			while($row = pg_fetch_array($res)) {
-				echo "<a href='".$url.$row["gml_id"]."&amp;ltyp=p'>lfd.-Nr ".$row["laufendenummer"]."</a>&nbsp;&nbsp;";
-			}
-			echo "</p>";
+				echo "\n\t<a href='".$url.$row["gml_id"]."&amp;ltyp=p'>lfd.-Nr ".$row["laufendenummer"]."</a>&nbsp;&nbsp;";
+			}
+			echo "\n</p>";
 		break;
 	}
@@ -312,5 +337,5 @@
 
 if ($ltyp <> "o") { // OhneHsNr linkt nur Flurst.
-	echo "\n\n<a name='geb'><h3><img src='ico/Haus.ico' width='16' height='16' alt=''> Geb&auml;ude</h3>";
+	echo "\n\n<a name='geb'></a><h3><img src='ico/Haus.ico' width='16' height='16' alt=''> Geb&auml;ude</h3>";
 	echo "\n<p>mit dieser Lagebezeichnung.</p>";
 	switch ($ltyp) {
@@ -339,5 +364,9 @@
 		echo "\n<table>";
 			echo "\n\t<tr><td>Geometrische Fl&auml;che:</td><td>".$row["flaeche"]." m&#178;</td></tr>";			
-			echo "\n\t<tr><td>Funktion:</td><td><span class='key'>".$row["gebaeudefunktion"]."</span> ".$row["bezeichner"]."</td></tr>"; // integer
+			echo "\n\t<tr><td>Funktion:</td><td>";
+			if ($showkey) {
+				echo "<span class='key'>".$row["gebaeudefunktion"]."</span> ";
+			}
+			echo $row["bezeichner"]."</td></tr>"; // integer
 			if (!$row["description"] == "") {
 				echo "\n\t<tr><td>Beschreibung:</td><td>".$row["description"]."</td></tr>"; // integer - EntschlÃŒsseln!
@@ -350,5 +379,9 @@
 			} // integer - EntschlÃŒsseln!
 			if (!$row["bauweise"] == "") {
-				echo "\n\t<tr><td>Bauweise:</td><td><span class='key'>".$row["bauweise"]."</span> ".$row["bauweise_beschreibung"]."</td></tr>"; // integer
+				echo "\n\t<tr><td>Bauweise:</td><td>";
+				if ($showkey) {
+					echo "<span class='key'>".$row["bauweise"]."</span> ";
+				}
+				echo $row["bauweise_beschreibung"]."</td></tr>"; // integer
 			}			
 			if (!$row["anzahlderoberirdischengeschosse"] == "") {
@@ -379,5 +412,5 @@
 </form>
 
-<?php footer($gkz, $gmlid, $idanzeige, $self, $hilfeurl, "&amp;ltyp=".$ltyp ); ?>
+<?php footer($gkz, $gmlid, $idanzeige, $self, $hilfeurl, "&amp;ltyp=".$ltyp , $showkey); ?>
 
 </body>
